- type: create_array_relationship
  args:
    name: relatedjobs
    table:
      name: jobs
      schema: public
    using:
      foreign_key_constraint_on:
        column: parentjob
        table:
          name: relatedjobs
          schema: public
- type: create_array_relationship
  args:
    name: relatedjobsByChildjob
    table:
      name: jobs
      schema: public
    using:
      foreign_key_constraint_on:
        column: childjob
        table:
          name: relatedjobs
          schema: public
- type: create_object_relationship
  args:
    name: job
    table:
      name: relatedjobs
      schema: public
    using:
      foreign_key_constraint_on: parentjob
- type: create_object_relationship
  args:
    name: jobByChildjob
    table:
      name: relatedjobs
      schema: public
    using:
      foreign_key_constraint_on: childjob
